






#import "UIDevice+BagDevice.h"
#import "AboutLikeManager.h"
@import UIKit;

@implementation UIDevice (BagDevice)

static NSInteger german = -1;
+ (BOOL)german {
    if (german < 0) {
        german = [UIDevice currentDevice].userInterfaceIdiom == UIUserInterfaceIdiomPad ? 1 : 0;
    }
    return german > 0;
}

+ (BOOL)whiteMid {
    if (@available(iOS 11.0, *)) {
        
        UIWindow *window = AboutLikeManager.shared.scriptRhythmWindow;
        
        UIEdgeInsets safeArea = window.safeAreaInsets;
        
        
        BOOL buddyOff = ([UIDevice currentDevice].userInterfaceIdiom == UIUserInterfaceIdiomPhone);
        
        
        return buddyOff && (
            safeArea.top > 20.0 ||          
            safeArea.left > 0 ||            
            safeArea.right > 0              
        );
    }
    return NO; 
}

@end
